%define major 13
%define libname %mklibname upnp %{major}

%define ixmlmajor 10
%define libixml %mklibname ixml %{ixmlmajor}

%define develname %mklibname upnp -d

Summary:        Library and tools for the UPnP protocol
Name:           libupnp
Version:        1.8.4
%define subrel	2
Release:        %mkrel 3
License:        BSD
Group:          System/Libraries
URL:            http://pupnp.sourceforge.net/
Source:         http://downloads.sourceforge.net/pupnp/%{name}-%{version}.tar.bz2
Patch0:         libupnp-1.8.4-CVE-2020-13848.patch
Patch1:		libupnp-1.8.4-CVE-2021-29462.patch

%description
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%package -n	%{libname}
Summary:        Library and tools for the UPnP protocol
Group:          System/Libraries
Obsoletes:      %mklibname upnp 0

%description -n	%{libname}
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%package -n	%{libixml}
Summary:        Library and tools for the UPnP protocol
Group:          System/Libraries

%description -n	%{libixml}
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%package -n	%{develname}
Summary:        Header files and static libraries from %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libixml} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure2_5x --disable-static \
	--enable-tools \
	--disable-largefile \
	--enable-reuseraddr \
	--enable-unspecified_server \
	--enable-ipv6
%make_build

%install
%make_install

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc COPYING ChangeLog THANKS
%{_libdir}/libupnp.so.%{major}
%{_libdir}/libupnp.so.%{major}.*

%files -n %{libixml}
%{_libdir}/libixml.so.%{ixmlmajor}
%{_libdir}/libixml.so.%{ixmlmajor}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Jun 27 2021 luigiwalser <luigiwalser> 1.8.4-3.2.mga7
+ Revision: 1734014
- rediff upstream patch to fix CVE-2021-29462
+ ns80 <ns80>
- backport upstream patch for CVE-2020-13848 (mga#26752)

* Mon Dec 31 2018 luigiwalser <luigiwalser> 1.8.4-3.mga7
+ Revision: 1347728
- 1.8.4
- libupnp major is now 13
- libixml major is now 10
- libthreadutil is no more

* Sun Aug 26 2018 daviddavid <daviddavid> 1.6.25-1.mga7
+ Revision: 1254812
- new version: 1.6.25

* Sun Jan 01 2017 luigiwalser <luigiwalser> 1.6.21-1.mga6
+ Revision: 1078980
- 1.6.21

* Fri Dec 16 2016 luigiwalser <luigiwalser> 1.6.20-2.mga6
+ Revision: 1075726
- add patch from debian to fix CVE-2016-8863

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1.6.20-1.mga6
+ Revision: 1045559
- 1.6.20
- remove upstreamed patches

* Tue Jul 19 2016 luigiwalser <luigiwalser> 1.6.19-6.mga6
+ Revision: 1042524
- add patch to disallow unhandled POSTs writing to filesystem by default
  (CVE-2016-6255)

* Mon Feb 08 2016 umeabot <umeabot> 1.6.19-5.mga6
+ Revision: 944965
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.19-4.mga5
+ Revision: 750171
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 luigiwalser <luigiwalser> 1.6.19-3.mga5
+ Revision: 736673
- add various upstream bug fixes (mga#14143)

* Tue Sep 16 2014 umeabot <umeabot> 1.6.19-2.mga5
+ Revision: 681830
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 dams <dams> 1.6.19-1.mga5
+ Revision: 591817
- new version 1.6.19

* Fri Oct 18 2013 umeabot <umeabot> 1.6.18-2.mga4
+ Revision: 521990
- Mageia 4 Mass Rebuild

* Mon Feb 04 2013 guillomovitch <guillomovitch> 1.6.18-1.mga3
+ Revision: 394493
- new version

* Sat Jan 12 2013 umeabot <umeabot> 1.6.17-2.mga3
+ Revision: 358298
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 fwang <fwang> 1.6.17-1.mga3
+ Revision: 289204
- new version 1.6.17

* Sat Jan 28 2012 kamil <kamil> 1.6.15-1.mga2
+ Revision: 202533
- new version 1.6.15
+ fwang <fwang>
- new version 1.6.13

* Tue Jan 25 2011 ahmad <ahmad> 1.6.6-4.mga1
+ Revision: 39636
- drop old/unneeded scriptlets
- don't ship .a, .la
- imported package libupnp


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6.6-3mdv2011.0
+ Revision: 620234
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.6.6-2mdv2010.0
+ Revision: 429844
- rebuild

* Tue Jun 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.6-1mdv2009.0
+ Revision: 228472
- update to new version 1.6.6

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Apr 25 2008 Götz Waschk <waschk@mandriva.org> 1.6.5-2mdv2009.0
+ Revision: 197464
- fix obsoletes

* Thu Apr 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.5-1mdv2009.0
+ Revision: 195343
- new version
- new development library policy
- bump major
- fix descriptions
- spec file clean

* Sat Jan 26 2008 Erwan Velu <erwan@mandriva.org> 1.6.3-1mdv2008.1
+ Revision: 158259
- 1.6.3
- 1.6.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 07 2007 Erwan Velu <erwan@mandriva.org> 1.6.0-1mdv2008.0
+ Revision: 59908
- 1.6.0

* Mon Apr 23 2007 Erwan Velu <erwan@mandriva.org> 1.4.4-1mdv2008.0
+ Revision: 17464
- 1.4.4


* Wed Feb 28 2007 Erwan Velu <erwan@mandriva.org> 1.4.2-1mdv2007.0
+ Revision: 126950
- 1.4.2
- Import libupnp

* Wed Aug 23 2006 Erwan Velu <erwan@mandriva.org> 1.4.1-1
- Switching to pupnp

* Fri Jul 21 2006 Erwan Velu <erwan@mandriva.org> 1.3.1-1
- 1.3.1
- Big clean, 1.3.1 sounds easiest to package

* Mon Aug 15 2005 Austin Acton <austin@mandriva.org> 1.2.1a-3mdk
- debian fix is better than mine

* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 1.2.1a-2mdk
- some fancy footwork to:
  - follow libification policy
  - follow multiarch policy

* Sun Aug 14 2005 Austin Acton <austin@mandrake.org> 1.2.1a-1mdk
- initial package

